<?php
namespace Ak\Image\Processor\Tinify;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Stvara novu instancu Tinify adaptera.
 *
 * @package Ak\Image\Processor\Tinify
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/image-processor-tinify
 */
final class TinifyAdapterFactory implements FactoryInterface
{
    /**
     * Stvara adapter.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return TinifyAdapter
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $client = $container->get('tinify_client');
        return new TinifyAdapter($client);
    }
}
